-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Sep 29, 2023 at 07:00 AM
-- Server version: 8.0.27
-- PHP Version: 7.4.26

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `cloud_database`
--

-- --------------------------------------------------------

--
-- Table structure for table `educations`
--

DROP TABLE IF EXISTS `educations`;
CREATE TABLE IF NOT EXISTS `educations` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `school` varchar(255) NOT NULL,
  `location` varchar(255) NOT NULL,
  `startDate` date NOT NULL,
  `endDate` date DEFAULT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `educations`
--

INSERT INTO `educations` (`id`, `title`, `school`, `location`, `startDate`, `endDate`, `description`) VALUES
(1, 'Informaticien CFC', 'CFPT', 'Chem. Gérard-De-Ternier 10, 1213 Lancy', '2018-09-20', '2021-07-03', 'L’informaticien ou l’informaticienne conçoivent, développent, réalisent, intègrent, installent, mettent en service et maintiennent des systèmes et applications informatiques, et assurent le support pour les utilisateurs.'),
(2, 'Informaticien ES', 'CFPT', 'Chem. Gérard-De-Ternier 10, 1213 Lancy', '2021-09-17', NULL, 'L\'informaticien ou l\'informaticienne ES interviennent sur des ensembles liés au traitement de l\'information et aux réseaux d\'ordinateurs, tant au niveau du logiciel (software) que du matériel (hardware).');

-- --------------------------------------------------------

--
-- Table structure for table `experiences`
--

DROP TABLE IF EXISTS `experiences`;
CREATE TABLE IF NOT EXISTS `experiences` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `company` varchar(255) NOT NULL,
  `location` varchar(255) NOT NULL,
  `startDate` date NOT NULL,
  `endDate` date DEFAULT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `experiences`
--

INSERT INTO `experiences` (`id`, `title`, `company`, `location`, `startDate`, `endDate`, `description`) VALUES
(1, 'Directeur RH', 'Infomaniak', 'Rue Eugène-Marziano 25, 1227 Genève', '1889-06-23', '2021-09-28', 'Le directeur des ressources humaines - DRH - est responsable de la politique de recrutement, de la gestion des relations humaines et de management social de l\'entreprise.'),
(2, 'Ingénieur Système', 'Google', 'Brandschenkestrasse 110, 8002 Zürich', '2023-02-16', NULL, 'L’Ingénieur Système, autrement appelé Architecte Système Réseaux ou bien encore Auditeur Systèmes est en charge de l’analyse, de l’optimisation et de la sécurisation des équipements informatiques et des logiciels d’une entreprise.');

-- --------------------------------------------------------

--
-- Table structure for table `skills`
--

DROP TABLE IF EXISTS `skills`;
CREATE TABLE IF NOT EXISTS `skills` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `level` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `skills`
--

INSERT INTO `skills` (`id`, `title`, `type`, `level`) VALUES
(1, 'Anglais', 'languages', 'B2'),
(3, 'Allemand', 'languages', 'C3'),
(5, 'C++', 'programming_language', 'Avancé');

-- --------------------------------------------------------

--
-- Table structure for table `tasks`
--

DROP TABLE IF EXISTS `tasks`;
CREATE TABLE IF NOT EXISTS `tasks` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `experience_id` bigint NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Dumping data for table `tasks`
--

INSERT INTO `tasks` (`id`, `name`, `description`, `experience_id`) VALUES
(1, 'Licenciement', 'Licencier les employés non-productifs', 1),
(2, 'Organisation', 'Organiser les horaires', 1),
(3, 'Maintenance', 'Maintenir le serveur central', 2);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
